JE::Object::Date(3pm)

NAME
JE::Object::Date - JavaScript Date object class

SYNOPSIS
  use JE;

  $j = new JE;

  $js_date = new JE::Object::Date $j;

  $js_date->value; # 1174886940.466
  "$js_date";      # Sun Mar 25 22:29:00 2007 -0700

DESCRIPTION
This class implements JavaScript Date objects for JE.

METHODS
See JE::Types and JE::Object for descriptions of most of the methods. Only what is specific to JE::Object::Date is explained here.

value
    Returns the date as the number of seconds since the epoch, with up to three decimal places.

class
    Returns the string 'Date'.

SEE ALSO
JE, JE::Types, JE::Object